import 'package:flutter/material.dart';
import 'package:webview_flutter/webview_flutter.dart';

class ApplicationScreen extends StatelessWidget {
  final Uri link;
  final String title;

  const ApplicationScreen({super.key, required this.link, required this.title});

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      appBar: PreferredSize(
          preferredSize: const Size.fromHeight(32.0),
          child: Padding(
            padding: const EdgeInsets.symmetric(horizontal: 18),
            child: AppBar(),
          )),
      body: SafeArea(
        child: Stack(
          children: [
            WebViewWidget(
              controller: WebViewController()
                ..setJavaScriptMode(JavaScriptMode.unrestricted)
                ..setBackgroundColor(Colors.white)
                ..loadRequest(link)
                ..clearCache(),
            ),
          ],
        ),
      ),
    );
  }
}
